// VGA_mux_0.v

// Generated using ACDS version 12.1 177 at 2013.05.04.20:34:26

`timescale 1 ps / 1 ps
module VGA_mux_0 (
		input  wire        clk,        //          clock.clk
		input  wire        reset,      //               .reset
		input  wire        read,       // avalon_slave_0.read
		input  wire        write,      //               .write
		input  wire        chipselect, //               .chipselect
		input  wire [18:0] address,    //               .address
		output wire [15:0] readdata,   //               .readdata
		input  wire [15:0] writedata,  //               .writedata
		input  wire [1:0]  byteenable, //               .byteenable
		inout  wire [15:0] SRAM_DQ,    //    conduit_end.export
		output wire [18:0] SRAM_ADDR,  //               .export
		output wire        SRAM_UB_N,  //               .export
		output wire        SRAM_LB_N,  //               .export
		output wire        SRAM_WE_N,  //               .export
		output wire        SRAM_CE_N,  //               .export
		output wire        SRAM_OE_N,  //               .export
		output wire        VGA_CLK,    //               .export
		output wire        VGA_HS,     //               .export
		output wire        VGA_VS,     //               .export
		output wire        VGA_BLANK,  //               .export
		output wire        VGA_SYNC,   //               .export
		output wire [9:0]  VGA_R,      //               .export
		output wire [9:0]  VGA_G,      //               .export
		output wire [9:0]  VGA_B       //               .export
	);

	VGA_mux vga_mux_0_inst (
		.clk        (clk),        //          clock.clk
		.reset      (reset),      //               .reset
		.read       (read),       // avalon_slave_0.read
		.write      (write),      //               .write
		.chipselect (chipselect), //               .chipselect
		.address    (address),    //               .address
		.readdata   (readdata),   //               .readdata
		.writedata  (writedata),  //               .writedata
		.byteenable (byteenable), //               .byteenable
		.SRAM_DQ    (SRAM_DQ),    //    conduit_end.export
		.SRAM_ADDR  (SRAM_ADDR),  //               .export
		.SRAM_UB_N  (SRAM_UB_N),  //               .export
		.SRAM_LB_N  (SRAM_LB_N),  //               .export
		.SRAM_WE_N  (SRAM_WE_N),  //               .export
		.SRAM_CE_N  (SRAM_CE_N),  //               .export
		.SRAM_OE_N  (SRAM_OE_N),  //               .export
		.VGA_CLK    (VGA_CLK),    //               .export
		.VGA_HS     (VGA_HS),     //               .export
		.VGA_VS     (VGA_VS),     //               .export
		.VGA_BLANK  (VGA_BLANK),  //               .export
		.VGA_SYNC   (VGA_SYNC),   //               .export
		.VGA_R      (VGA_R),      //               .export
		.VGA_G      (VGA_G),      //               .export
		.VGA_B      (VGA_B)       //               .export
	);

endmodule
